# List quote expiries Returns all configured quote expiries. Endpoint: GET /config/payments/quote_expiries Version: 4.0.0 Security: Bearer ## Query parameters: - `page` (integer) Zero-based index of the page number of results. - `size` (integer) Number of payments returned per page. ## Response 200 fields (application/json): - `first` (boolean) true if this is the first page. - `last` (boolean) true if this is the last page. - `number` (integer) page number - `numberOfElements` (integer) Number Of elements in this request - `size` (integer) page size - `totalElements` (integer) Total number of elements for the given request - `totalPages` (integer) Total number of pages for the given request - `sort` (array) Sort details of this page - `sort.direction` (string) Direction of the sort Example: "ASC" - `sort.property` (string) - `sort.ignoreCase` (boolean) - `sort.nullHandling` (string) Example: "NULLS_FIRST" - `sort.ascending` (boolean) Example: true - `sort.descending` (boolean) - `content` (array) - `content.quote_ttl` (number) Quote expiration window, or time to live (ttl), in seconds. To calculate the quote expiration date, xCurrent adds this value to the quote creation timestamp. Example: 5900 - `content.sending_partner` (string) RippleNet address of the sender, in the format ripplenetaddress. For example, rn.us.sf.san_francisco. Example: "rn.us.ca.san_francisco" - `content.receiving_partner` (string) RippleNet address of the receiver, in the format ripplenetaddress. For example, rn.us.ny.new_york. Example: "rn.us.tx.austin" - `content.currency` (string) currency of the exchange rate. Example: "USD" - `content.id` (integer) id of quote expiry object Example: 2 ## Response 400 fields (application/json): - `type` (string) URL to the error documentation. Example: "https://errors.ripplenet.ripple.com/error/json-processing-error" - `title` (string) Summary of the returned problem. Example: "Invalid Request Object" - `detail` (string) Description of the returned problem. Example: "The request parameter [account_id] is not in the correct format." - `status` (number) HTTP error code. Example: 400 - `ripplenet_error_code` (string) RippleNet specific error code. Example: "E0104" - `finality` (string) Specifies if the request can be retried for a successful response. Example: "PERMANENT"